Bug 220851 - Wrong kernel module loaded for 3com 3CRWE154G72 PCMCIA wireless card
Wrong kernel module loaded for 3com 3CRWE154G72 PCMCIA wireless card
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2006-12-27 18:15 EST by Jonathan Underwood
Modified: 2008-04-04 06:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 06:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of kudzu -p (5.90 KB, text/plain)
2007-01-04 16:11 EST, Jonathan Underwood
no flags Details
Output of kudzu -p after removing alias line from modprobe.conf and rebooting (5.90 KB, text/plain)
2007-01-07 06:48 EST, Jonathan Underwood
no flags Details
Output of lspci -vv (8.30 KB, text/plain)
2007-01-07 06:57 EST, Jonathan Underwood
no flags Details

  None (edit)
Description Jonathan Underwood 2006-12-27 18:15:07 EST
Description of problem:
When I plug in a 3com 3CRWE154G72 PCMCIA wireless card, the prism54 driver is
(correctly) loaded. If I then start system-config-network and click on the
hardware tab, click new and select the wireless card (identified in s-c-n as
3com 3c501), I get the following error message:

Command failed: /sbin/modprobe  3c501

FATAL: Module 3c501 not found

However, if I add the following to /etc/modprobe.conf:
alias eth1 prism54

when I reboot and start s-c-n, all is well and the card appears under the
hardware tab correctly identified.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Fresh install of FC-6
2. Install correct firmware in /lib/firmware
3. Insert 3com card
4. start s-c-n
5. Attempt to add the card under the hardware tab
Actual results:
Command failed: /sbin/modprobe  3c501

FATAL: Module 3c501 not found

Expected results:
Card is correctly detected

Additional info:
lspci -vv output for this card:
03:00.0 Network controller: 3Com Corporation 3com 3CRWE154G72 [Office Connect
Wireless LAN Adapter] (rev 01)
        Subsystem: 3Com Corporation 3com 3CRWE154G72 [Office Connect Wireless
LAN Adapter]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 80 (2500ns min, 7000ns max), Cache Line Size: 128 bytes
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 36000000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Am not sure if this is problem is really with s-c-n, or udev, or hal, or
pcmciautils or what, so, thought I'd start here :)
Comment 1 Jonathan Underwood 2006-12-27 18:28:58 EST
Ah, actually, it seems the problem is due to the following auto generated entry
in /etc/modprobe.conf:

alias eth1 3c501

So it seems not a s-c-n problem, but rather whatever is generating the
modprobe.conf entry .. pcmciautils?
Comment 2 Jonathan Underwood 2006-12-27 18:30:26 EST
Reassigning to udev
Comment 3 Harald Hoyer 2006-12-29 06:20:46 EST
udev does not modify /etc/modprobe.conf
Comment 4 Bill Nottingham 2007-01-03 14:02:20 EST
Attach the output of 'kudzu -p'?
Comment 5 Jonathan Underwood 2007-01-04 16:09:51 EST
The relevant part, with the corrected line in modprobe.conf:

class: NETWORK
bus: PCI
detached: 1
device: eth1
driver: prism54
desc: "3Com Corporation 3com 3CRWE154G72 [Office Connect Wireless LAN Adapter]"
network.hwaddr: 00:0d:54:a2:46:dc
vendorId: 10b7
deviceId: 6001
subVendorId: 10b7
subDeviceId: 6001
pciType: 2
pcidom:    0
pcibus:  3
pcidev:  0
pcifn:  0
Comment 6 Jonathan Underwood 2007-01-04 16:11:06 EST
Created attachment 144844 [details]
Output of kudzu -p
Comment 7 Bill Nottingham 2007-01-04 17:02:44 EST
When did that entry get added? I don't see how kudzu would add it.
Comment 8 Jonathan Underwood 2007-01-04 17:20:21 EST
Bill, excuse my ignorance, but I'm not sure I understand your question in the
previous comment. To recap, the automatically added entry to /etc/modprobe.conf
was originally this:

alias eth1 3c501

The output that I just sent was from running kudzu -p on the same system after I
had changed the above line in /etc/modprobe.conf to read

alias eth1 prism54

and disabled kudzu from running at boot and rebooted.

I'm not sure what exactly generated the initial line in modprobe.conf though -
the sequence of events that occur on inserting a pcmcia card are a mystery me,
and no amount of googling is throughing up much documentation, alas.

Let me know what I can do to debug further. Would it help if I removed the line
from modprobe.conf, rebooted with the kudzu service started at boot?
Comment 9 Bill Nottingham 2007-01-04 21:12:43 EST
That would be good, yes - I'm just not seeing how kudzu would decide to write
that, so I'm curious where it came from.
Comment 10 Bill Nottingham 2007-01-04 21:20:38 EST
So, we don't even ship the 3c501 module - there's no real way that kudzu could
write a config for it. There is a reference to it in the module-info file
included in system-config-network - assigning there for the moment.
Comment 11 Jonathan Underwood 2007-01-07 06:48:35 EST
Created attachment 145000 [details]
Output of kudzu -p after removing alias line from modprobe.conf and rebooting
Comment 12 Jonathan Underwood 2007-01-07 06:56:19 EST
Also, after removing the eth1 line from modprobe.conf, rebooting with kudzu to
run at boot, and then running system-config-network, this device is not listed
in the "hardware" tab of system-config-network.

When I then click "new" to add a new hardware device in s-c-n, select wireless,
and select the device identified as "3come 3c501" I get the error:
Command failed: /sbin/modprobe  3c501

FATAL: Module 3c501 not found.

So, it seems there are two (at least) bugs - s-c-n isn't properly figuring out
the correct module from the hardware info, and also kudzu is somehow stopping
the device being activated at boot.

(NB. I believe this is a 16 bit pcmcia card, if that is of any relevance).

Let me know if there's any more info I can provide.

I have attached the output of lspci -vv in case that is of any use.

Note also that I have tried booting with the kernel options pci=routeirq,assign
-busses but that seems to have no effect on this issue.

Comment 13 Jonathan Underwood 2007-01-07 06:57:19 EST
Created attachment 145002 [details]
Output of lspci -vv
Comment 14 Harald Hoyer 2007-01-17 06:56:55 EST
why do you have to "add" at your HW tab?
Comment 15 Jonathan Underwood 2007-02-05 06:44:35 EST
Because there is no automatically generated entry for the wireless card in
s-c-n, presumably due to failure to recognize the card correctly.
Comment 16 Bug Zapper 2008-04-04 01:22:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 17 Jonathan Underwood 2008-04-04 06:41:57 EDT
I no longer have the hardware to test this, I'm afraid. Closing as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.